Skip to main content

Refund


Use this information to process a refund. A refund is linked to a previous capture or sale. You must request a refund within 180 days of the authorization.

For China UnionPay, use the refund service to reverse pre-authorization completions and sales.

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the transaction ID returned in the capture or sale response.

Example

{  "clientReferenceInformation": {    "code": "FE56907"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "200",      "currency": "THB"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/refunds/7025605918856084604951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/refunds/7025605918856084604951"    }  },  "clientReferenceInformation": {    "code": "FE56907"  },  "id": "7025605918856084604951",  "orderInformation": {    "amountDetails": {      "currency": "THB"    }  },  "processorInformation": {    "approvalCode": "831000",    "retrievalReferenceNumber": "334813163319",    "responseCode": "00"  },  "reconciliationId": "7025605722066080204951",  "refundAmountDetails": {    "currency": "THB",    "refundAmount": "200"  },  "status": "PENDING",  "submitTimeUtc": "2022-04-18T12:28:23Z"}

Required Fields

clientReferenceInformation.code Required
orderInformation.amountDetails.currency Required
orderInformation.amountDetails.totalAmount Required

Last published: September 29, 2026